Subject: bug#27206: Fish: figure out a solution for the vendor path extension to fish

From: [email-masked] (Ludovic Courtès)
Date: Thu, 03 Aug 2017 00:11:45 +0200

ng0 <[email-masked]> skribis:

> ng0 transcribed 0.4K bytes:
>> A feature-bug I forgot to report a while ago.
>> It has been described on the mailinglist (or was
>> it in my blog or some release announcement I made?)
>> 
>> Fish doesn't pick up stuff like 'fish-guix' from store
>> without modifications to the path where fish searches
>> for vendor or sysadmin installed systemwide 'things'
>> for fish.
>
> I have many more fish packages in a branch which
> I want to get into guix, but they are stuck because
> of this. Help welcome, otherwise I'll promise to
> fix it one day.
>
> Currently the only workaround is to symlink individual files from your
> ~/.guix-profile/whereever/things/went/ to ~/.config/fish/{approriate subdirs}

Does Fish have an environment variable that can be used to specify the
search path for extensions, similar to BASH_LOADABLES_PATH?  If it does,
we could use that.

Otherwise, perhaps we can consider it an upstream issue in a way?

Thanks,
Ludo’.